﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Upload.Web.Images;
using Upload.Web.Models;

namespace Upload.Web.Controllers
{
    public class HomeController : Controller
    {
        private readonly UserAppService _userAppService = new UserAppService();
        private readonly int _iconAreaWidth = 400;
        private readonly int _iconAreaHeight = 300;
        private readonly int _userId = 1;

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Icon()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Icon(CutImageModel cutImage)
        {
            cutImage.AreaWidth = _iconAreaWidth;
            cutImage.AreaHeight = _iconAreaHeight;

            var result = this._userAppService.ChangeIcon(_userId, ".jpg", cutImage);

            return Json((int)result);
        }

        [HttpPost]
        public ActionResult Upload(HttpPostedFileBase fileData)
        {
            if (fileData != null)
            {
                UploadImage uploadImage = new UploadImage
                {
                    Stream = fileData.InputStream,
                    FileName = fileData.FileName,
                    SavePath = UserIconManager.Current.saveIconPath,
                    Width = _iconAreaWidth,
                    Height = _iconAreaHeight
                };

                var view = this._userAppService.UploadIcon(_userId, uploadImage);

                return Json(view);
            }

            return Content("0");
        }
    }
}